__kernel void tunnelflug( write_only image2d_t output,const float stepx)
        {
        float x = get_global_id(0), y = get_global_id(1);         //Pixelkoordinaten
        float width = get_global_size(0), height = get_global_size(1);           //hoehe und breite
        float dy      = (y / height) - 0.5f;            //...Berechnungen
        float dx      = (x / width) - 0.5f;
        float wurzel  = sqrt(dy * dy + dx * dx);
        int tu        = 203.718330624f * atan2(dy ,dx);
        int tv        = (((100 / wurzel) + stepx));
        int t         = (tu^tv)&255;                    //farbe pixel
        float4 farbe = (float) t / 256.0f ;                                     //farbe pixel RGBA
//        farbe.x = (float) t / 256.0f ;	//rot
//        farbe.y = (float) t / 256.0f ;	//grn
//        farbe.z = (float) t / 256.0f ;	//blau
//        farbe.w = (float) t / 256.0f;		//alpha
        write_imagef( output, (int2)( x, y ), farbe );  //Pixel schreiben 0xFFBBGGRR, BB=GG=RR=t
        }